统计看板找到 4 个接口
组合服务看板数据
composeServerStatBoard
POST
/ServerStatBoardService/composeServerStatBoard- 定义文件
service_server_stat_board.proto- 可用角色
- 管理员
原始定义
rpc composeServerStatBoard (ComposeServerStatBoardRequest) returns (ComposeServerStatBoardResponse);请求消息
ComposeServerStatBoardRequest组合服务看板数据
请求消息 · 字段定义
message ComposeServerStatBoardRequest {
int64 serverId = 1;
}响应消息
ComposeServerStatBoardResponse响应消息 · 字段定义
message ComposeServerStatBoardResponse {
int64 minutelyPeekBandwidthBytes = 5; // 当前带宽(N分钟峰值)
int64 dailyPeekBandwidthBytes = 2; // 当天带宽峰值
int64 monthlyPeekBandwidthBytes = 3; // 当月带宽峰值
int64 lastMonthlyPeekBandwidthBytes = 4; // 上个月带宽峰值
int64 dailyCountIPs = 9; // 当天独立IP
int64 dailyTrafficBytes = 10; // 当天流量
int32 bandwidthPercentile = 7;
repeated ServerBandwidthStat minutelyBandwidthStats = 1; // 分钟级的带宽统计
ServerBandwidthStat minutelyNthBandwidthStat = 8;
repeated DailyTrafficStat dailyTrafficStats = 30;
repeated HourlyTrafficStat hourlyTrafficStats = 31;
repeated NodeStat topNodeStats = 32;
repeated CountryStat topCountryStats = 35;
repeated MetricDataChart metricDataCharts = 34;
message DailyTrafficStat {
string day = 1;
int64 bytes = 2;
int64 cachedBytes = 3;
int64 countRequests = 4;
int64 countCachedRequests = 5;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
message HourlyTrafficStat {
string hour = 1;
int64 bytes = 2;
int64 cachedBytes = 3;
int64 countRequests = 4;
int64 countCachedRequests = 5;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
message NodeStat {
int64 nodeId = 1;
string nodeName = 2;
int64 countRequests = 3;
int64 bytes = 4;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
message CountryStat {
string countryName = 1;
int64 bytes = 2;
int64 countRequests = 3;
float percent = 4; // 流量占比
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
}